Alembic 1.8.11

Loading...
Searching...
No Matches
Alembic::Util::ALEMBIC_VERSION_NS::BaseDimensions< T > Class Template Reference

## Public Member Functions
| BaseDimensions (const T &t)
| BaseDimensions (const BaseDimensions &copy)
template<class Y>
| BaseDimensions (const BaseDimensions< Y > &copy)
BaseDimensions & | operator= (const BaseDimensions &copy)
template<class Y>
BaseDimensions & | operator= (const BaseDimensions< Y > &copy)
size_t | rank () const
void | setRank (size_t r)
T & | operator[] (size_t i)
const T & | operator[] (size_t i) const
T * | rootPtr ()
const T * | rootPtr () const
size_t | numPoints () const

The documentation for this class was generated from the following file:

- Util/Dimensions.h